export declare class Compile {
    private files;
    private compiledFiles;
    constructor(files: Record<string, ArrayBuffer>);
    /**
     * 指定入口文件开始解析
     */
    parse(filePath: string): Record<string, {
        script: string;
        template?: string;
        styles?: string[];
        components?: Record<string, string>;
        vueId?: string;
    }>;
    /**
     * 根据文件路径解析代码
     * @param filePath
     */
    private compile;
    private fileToBase64;
    private arrayBufferToString;
    /**获取引用文件名 */
    private getRefFile;
    private compileScriptContent;
}
