import { CompiledJson } from './type';
export * from './vue3.render';
export declare class Vue3 {
    constructor();
    static supportExtension: string[];
    /**
     * 编译vue3
     * 支持的文件为 vue js ts png jpg jpeg svg json woff woff2 ttf otf eot
     */
    static compile(files: Record<string, ArrayBuffer>, root: string): Record<string, {
        script: string;
        template?: string;
        styles?: string[];
        components?: Record<string, string>;
        vueId?: string;
    }>;
    static render(compiledJSON: Record<string, CompiledJson>, root: string, modules?: Record<string, any>): any;
}
